Subject: bug#6657: mkstemp on cygwin creates binary files

From: Paolo Bonzini <[email-masked]>
Date: Mon, 19 Jul 2010 18:48:24 +0200

On 07/19/2010 06:33 PM, Eric Blake wrote:
> Yuck - that means if /tmp is mounted differently than ., then using
> mkostemp(,0) will force the wrong line endings (converting binary to
> text, or converting text to binary, depending on which direction the
> mismatch is between the mount modes).  If you aren't creating the temp
> file in the same mount point as the target, then you cannot blindly rely
> on automatic mount point file modes to do the right thing.

It's buggy anyway in all released versions of sed.  I'll probably make 
the change---just, not yet.

Paolo